---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 99d73c48-9985-51d2-9639-d37bcdfe119e
      tier: AATSR_CMP_MONTH
      value: 0.03204603120684624
    brdf:
      alpha_1:
        band_1: 0.23173524265931034
        band_11: 0.1917042725224432
        band_12: 0.043510772045838454
        band_2: 0.23173524265931034
        band_3: 0.3889176275538197
        band_4: 0.13802735346630768
        band_5: 0.13802735346630768
        band_6: 0.13802735346630768
        band_7: 0.4700341153218184
        band_8: 0.4700341153218184
        band_8a: 0.4700341153218184
      alpha_2:
        band_1: 0.15653085372040865
        band_11: 0.17159815240683057
        band_12: 0.1849401305875647
        band_2: 0.15653085372040865
        band_3: 0.1534024256079505
        band_4: 0.17703486439848942
        band_5: 0.17703486439848942
        band_6: 0.17703486439848942
        band_7: 0.09153663601730114
        band_8: 0.09153663601730114
        band_8a: 0.09153663601730114
      id:
      - 31295dcc-a4fe-544e-82a2-d839e9d8b5db
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 83914de1-c12e-5035-af8d-e2dc1baa54d4
      tier: DEFINITIVE
      value: 0.256
    water_vapour:
      id:
      - 06d8b09c-91ea-52d7-8b1e-b774ec7630da
      tier: DEFINITIVE
      value: 1.6299999237060547
  id: fb7d06bc-8b7f-4d51-ae47-22992fcb039f
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1896.3754378274384
      BAND-11: 230.86494104360568
      BAND-12: 78.95989931040224
      BAND-2: 1938.384010843601
      BAND-3: 1815.0147833718336
      BAND-4: 1481.960424234011
      BAND-5: 1368.0397971692546
      BAND-6: 1248.3406876693361
      BAND-7: 1142.7851419041924
      BAND-8: 1012.1310598282519
      BAND-8A: 922.9835755161058
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2020-06-02 01:22:44.469626Z
    atime: 2022-07-30 02:07:20Z
    ctime: 2020-06-02 05:49:48Z
    mtime: 2020-06-02 05:49:42Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2020/2020-06/15S130E-20S135E/S2A_MSIL1C_20200602T011731_N0209_R088_T53KMU_20200602T034539.zip
  system_information:
    hostname: gadi-cpu-clx-0036.gadi.nci.org.au
    runtime_id: 57dc0986-0fac-11ed-8334-00000080fe80
    time_processed: 2022-07-30 02:07:20.103401Z
    uname: 'Linux gadi-cpu-clx-0036.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 13.0
    green: 807.0
    red: 7.0
    teal: 183.0
    yellow: 8.0
  error_message: no errors
  final_qa_count: 925
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20200602T034539_A025825_T53KMU_N02.09
  ref_date: '2015-02-08T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/073/LC81020732015039LGN00_B6.TIF
  residual:
    abs:
      x: 0.31
      xy: 0.41
      y: 0.27
    abs_iterative_mean:
      x: 0.25
      xy: 0.32
      y: 0.2
    cep90: 0.54
    iterative_mean:
      x: 0.24
      xy: 0.3
      y: 0.17
    iterative_stddev:
      x: 0.16
      xy: 0.23
      y: 0.17
    mean:
      x: 0.23
      xy: 0.3
      y: 0.19
    stddev:
      x: 0.49
      xy: 0.69
      y: 0.49
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.29266326256383
    cloud: 0.5416272673282437
    cloud_shadow: 0.16073271157030003
    snow: 0.00025215576590654977
    water: 0.004724602771722722
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.3
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
